package test;

import cn.com.countrygarden.bi.main.util.TokenUtils;
import org.junit.Test;


/**
 * package: test
 * describe:
 * creat_user: lsl
 * creat_date: 2018/8/31
 * creat_time: 10:16
 **/
public class TestLtpaToken {


    @Test
    public  void testToken() throws Exception {
    	
  ////  生成令牌
//      String user = "liuji06";
//      String key = "YuanBaood1G132yUR280PXksEzo=";
//      String token = TokenUtils.genLtpaToken(user, key, 1L);
//      System.out.println(token);
  ////  解析令牌
//      token = "AQIDBDVCOEY0OUU4NUI4RjU3RjhsaXVqaTA24ccU3pj2VvuRjf51D9nIeAh8PLw=";
//      user = TokenUtils.parseLtpaToken(token, key);
//      System.out.println(user);

//      进人页面
//      发起一个请求（无参数）
//      后台：cookie取值 key:LTPATOKEN
//      TokenUtils.parseLtpaToken(token, key); 解析令牌->bip账号：liuji06
//      返回业务数据。。。个人区域投资项目明细收益
    	
    	
//      生成令牌
        String user = "fupd";
        String key = "r/KV69Rw/W+xPk7uFgsLpEjf3P0=";
        String token = TokenUtils.genLtpaToken(user, key, 1L);
        System.out.println(token);
//      解析令牌
        token = "AQIDBDU3NzlEOERBNTc3OUU2RUFmdXBkCFyBvNma5EmaHy9mdjUxnFY6rnY";
        user = TokenUtils.parseLtpaToken(token, key);
        System.out.println(user);
    }
    
    public static void main(String[] args) throws Exception {
    	  //  生成令牌
      String user = "liuji06";
      String key = "YuanBaood1G132yUR280PXksEzo=";
      String token = TokenUtils.genLtpaToken(user, key, 1L);
      System.out.println(token);
  //  解析令牌
    //  token = "AQIDBDVCOEY0OUU4NUI4RjU3RjhsaXVqaTA24ccU3pj2VvuRjf51D9nIeAh8PLw=";
      user = TokenUtils.parseLtpaToken(token, key);
      System.out.println(user);

//      进人页面
//      发起一个请求（无参数）
//      后台：cookie取值 key:LTPATOKEN
//      TokenUtils.parseLtpaToken(token, key); 解析令牌->bip账号：liuji06
//      返回业务数据。。。个人区域投资项目明细收益
	}
    @Test
    public void hhd(){
        int i=0;
        ++i;
        System.out.println(i);
    }



}
